Name:           python-qiskit-qrack-provider
Version:        0.17.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Qiskit Qrack Provider - Qrack High-Performance GPU simulation for Qiskit

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/vm6502q/qiskit-qrack-provider
Source:         %{pypi_source qiskit_qrack_provider}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qiskit-qrack-provider' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qiskit-qrack-provider
Summary:        %{summary}

%description -n python3-qiskit-qrack-provider %_description


%prep
%autosetup -p1 -n qiskit_qrack_provider-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qiskit-qrack-provider -f %{pyproject_files}


%changelog
%autochangelog